program PMtP;

uses
  zglHeader,
  u_game in 'u_game.pas',
  U_const in 'u_const.pas',
  u_var in 'u_var.pas',
  zglParticleEngine in 'zglParticleEngine.pas',
  zglGUI in 'zglGUI.pas',
  u_map in 'u_map.pas',
  u_player in 'u_player.pas',
  u_ghost in 'u_ghost.pas',
  u_music in 'u_music.pas';

var
  DirApp  : AnsiString;
  DirHome : AnsiString;

Begin
  zglLoad( 'Data/Engine/ZenGL.dll' );
  
  DirApp  := PAnsiChar( zgl_Get( APP_DIRECTORY ) );
  DirHome := PAnsiChar( zgl_Get( USR_HOMEDIR ) );

  zgl_Reg( SYS_LOAD, @Init );
  zgl_Reg( SYS_DRAW, @Draw );
  zgl_Reg( SYS_UPDATE, @Update );
  zgl_Reg( SYS_EXIT, @Quit );

  wnd_SetCaption( 'PacMan Portal' );
  wnd_ShowCursor( false );
  scr_SetOptions( sX, sY, REFRESH_MAXIMUM, false, True );

  zgl_Init;
End.
